//~~ db.cc ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/*
 *  description
 *
 * @author:    Andy Pippin   <pippin@cs.ucsb.edu>
 * @version:   $Date: 2005/02/07 23:29:47 $   $Revision: 1.1 $
 * @requires:   
 */


//--[ Identity ]----------------------------------------------------------------

#define  __DB_CC__
static char* srcIdentity = 
    "$Id: db.c,v 1.1 2005/02/07 23:29:47 pippin Exp $";


//--[ Includes ]----------------------------------------------------------------

#include  <stdio.h>
#include  <stdlib.h>

#include "db.h"


//--[ Typedefs/Structures/Enums ]-----------------------------------------------

//--[ Constants ]---------------------------------------------------------------

#define false (0)
#define true (!0)


//--[ Variables ]---------------------------------------------------------------

extern int  verboseLevel;


//--[ Classes ]-----------------------------------------------------------------

//--[ Prototypes ]--------------------------------------------------------------

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/*
 *  description
 *
 * @param   arg   description
 * @param   arg   description
 * @return  returns
 */


//--[ Implementation ]----------------------------------------------------------

	char*
db_toString(
    const DB*  db,
    char*  prefix,
    char*  label
){
    static char  result[ 1024 ];
    char  line[ 256 ];

    // Initialize and fix NULLs.
    //
    if( NULL == prefix )  prefix = "";
    if( NULL == label  )  label  = "Db";
    *result = '\0';

    snprintf( line, sizeof(line), "%s<%s>\n", prefix, label );
    strncat( result, line, sizeof(result) );

    snprintf( line, sizeof(line), "%s</%s>\n", prefix, label );
    strncat( result, line, sizeof(result) );

    return( result );
}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	int
db_test(
    void
){
    int  success =false;

    success = true;
EndDbTest:

    if( 0 < verboseLevel )
    {
	if( success )
	    printf( "Test was successful!\n" );
	else
	    printf( "Test Failed! :(\n" );
    }

    return( success );
}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	const char*
db_getUserName(
    const DB*  db,
    const char* userHashString
){
    const char*  userName = NULL;
    return( userName );
}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	const char*
db_getUserHash(
    const DB*  db,
    const char* userId,
    const char* userEMail
){
    const char*  userHash = NULL;
    return( userHash );
}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	const char*
db_getNodeName(
    const DB*  db,
    const char* nodeHashString
){
    const char*  nodeName = NULL;
    return( nodeName );
}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	const char*
db_getNodeHash(
    const DB*  db,
    const char* nodeName,
    const char* userHashString
){
    const char*  nodeHash = NULL;
    return( nodeHash );
}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	extern int
db_saveNode(
    const DB*  db,
    const char* nodehashString,
    const char* nodeName,
    const char* userHashString
){
    int nodeWasSaved = false;
    return( nodeWasSaved );
}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	DB*
db_connect(
    void
){
    return( (DB*)NULL );
}

//==============================================================================
