/*
** $Id: log.h,v 1.7 2005/09/27 18:25:04 msa Exp $
**
** Matthew Allen
** description: 
*/

#ifndef CHIMERA_LOG_H
#define CHIMERA_LOG_H

#ifdef __cplusplus
extern "C" {
#endif

enum {
  LOG_ERROR,          /* error messages (stderr) */
  LOG_WARN,           /* warning messages (none) */
  LOG_DEBUG,          /* debugging messages (none) */
  LOG_KEYDEBUG,       /* debugging messages for key subsystem */
  LOG_NETWORKDEBUG,   /* debugging messages for network layer */
  LOG_ROUTING,        /* debugging the routing table */
  LOG_COUNT           /* count of log message types */
};

void log_message(int type, char *format, ...);
void log_direct(int type, FILE *fp);

#ifdef __cplusplus
}
#endif

#endif /* CHIMERA_LOG_H */
