/*
** $Id: log.c,v 1.6 2005/05/05 06:50:56 msa Exp $
**
** Matthew Allen
** description: 
*/

#include <stdio.h>
#include <unistd.h>
#include <stdarg.h>
#include "log.h"

extern FILE *stdin;

/* currently will cause a fail-without-error problem */

static FILE *LOG_FP[LOG_COUNT] = {
  NULL,
  NULL,
  NULL,
  NULL,
  NULL
};

void log_message(int type, char *format, ...) {

  va_list ap;

  if(LOG_FP[type] != NULL) {
    va_start(ap, format);
    vfprintf(LOG_FP[type], format, ap);
  }

}

void log_direct(int type, FILE *fp) {

  LOG_FP[type] = fp;

}
