//~~ net.c ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/*
 *  description
 *
 * @author:    Andy Pippin   <pippin@cs.ucsb.edu>
 * @version:   $Date: 2005/02/28 23:25:33 $   $Revision: 1.2 $
 * @requires:   
 */

//~~[ Identity ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#define  __NET_C__
static char* srcIdentity = 
    "$Id: net.c,v 1.2 2005/02/28 23:25:33 mattsun Exp $";


//~~[ Includes ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#include  "net.h"


//~~[ Typedefs/Structures/Enums ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

//~~[ Constants ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

//~~[ Variables ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

//~~[ Prototypes ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    //----------------------------------------------------------------------
    /*
     *  description
     *
     * @param   arg   description
     * @param   arg   description
     * @return  returns
     */


//~~[ Implementation ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        int
net_connect(
    const char*  addr,
    PROTOCOL  protocol,
    int timeout
){
    int socket = 0;
    return( socket );
}


//------------------------------------------------------------------------------

        int
net_accept(
    int socket,
    int queue
){
    int client = 0;
    return( client );
}


//------------------------------------------------------------------------------

        int
net_bind(
    int socket,
    int port
){
    int success = 0;
    return( success );
}


//------------------------------------------------------------------------------

        int
net_send(
    int socket,
    void* buffer,
    int  bytes 
){
    int bytesSent = 0;
    return( bytesSent );
}


//------------------------------------------------------------------------------

        int
net_recv(
    int socket,
    int timeout,
    void* buffer,
    int  maxBytes 
){
    int bytesRecvd = 0;
    return( bytesRecvd );
}


//------------------------------------------------------------------------------

        int
net_get_port(
    int base_port
){
	  int sockfd, i, found_port;
	  struct sockaddr_in serv_addr;
	  sockfd = socket(AF_INET, SOCK_DGRAM, 0);

	  if (sockfd < 0)
	    return -1;
	   
	  serv_addr.sin_family = AF_INET;
	  serv_addr.sin_addr.s_addr = INADDR_ANY;

	  i = 0;
	  found_port = -1;
	  while (i < 10 && found_port == -1)
	  {
	    serv_addr.sin_port = htons(base_port + i);

	    if (bind(sockfd, (struct sockaddr *) &serv_addr, sizeof(serv_addr)) < 0)
	    {
	      found_port = base_port + i;
	      break;
	    }

	    i++;
	  }

	  return found_port;
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
